### Method

# Vips Image composite2

#### Declaration [src]

    int
    vips_composite2 (
      VipsImage* base,
      VipsImage* overlay,
      VipsImage** out,
      VipsBlendMode mode,
      ...
    )

#### Description [src]

Composite `overlay` on top of `base` with `mode`. See `vips_composite()`.

Optional arguments

- `compositing_space`: `VipsInterpretation` to composite in
- `premultiplied`: `gboolean`, images are already premultiplied
- `x`: `gint`, position of overlay
- `y`: `gint`, position of overlay.

This method is not directly available to language bindings.

#### Parameters

`overlay`

  Type: `VipsImage`

  Second input image.

  The data is owned by the caller of the method.

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`mode`

  Type: `VipsBlendMode`

  Composite with this blend mode.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.